libepubgen::EPUBFontManager Class Reference documentation

Classes | Public Member Functions | Private Types | Private Member Functions | Private Attributes | List of all members
libepubgen::EPUBFontManager Class Reference

Manages embedded fonts. More...

`#include <EPUBFontManager.h>`

## Classes
struct | BinaryDataEqual
struct | BinaryDataHash

## Public Member Functions
| EPUBFontManager (EPUBManifest &manifest)
void | insert (const librevenge::RVNGPropertyList &propertyList, const EPUBPath &path)
void | writeTo (EPUBPackage &package)
void | send (EPUBCSSContent &out)
| send the data to the sink More...

## Private Types
typedef std::unordered_map< librevenge::RVNGBinaryData, EPUBPath, BinaryDataHash, BinaryDataEqual > | MapType_t
typedef std::unordered_set< EPUBCSSProperties, boost::hash< EPUBCSSProperties > > | SetType_t

## Private Member Functions
| EPUBFontManager (const EPUBFontManager &)
EPUBFontManager & | operator= (const EPUBFontManager &)
void | extractFontProperties (librevenge::RVNGPropertyList const &pList, EPUBCSSProperties &cssProps) const
| convert a property list into a CSS property map More...

## Private Attributes
EPUBManifest & | m_manifest
MapType_t | m_map
| Font filename -> content map. More...
EPUBCounter | m_number
SetType_t | m_set
| Set of font properties. More...

## Detailed Description

Manages embedded fonts.

## Member Typedef Documentation

## ◆ MapType_t

typedef std::unordered_map<librevenge::RVNGBinaryData, EPUBPath, BinaryDataHash, BinaryDataEqual> libepubgen::EPUBFontManager::MapType_t
| private

## ◆ SetType_t

typedef std::unordered_set<EPUBCSSProperties, boost::hash<EPUBCSSProperties> > libepubgen::EPUBFontManager::SetType_t
| private

## Constructor & Destructor Documentation

## ◆ EPUBFontManager() [1/2]

libepubgen::EPUBFontManager::EPUBFontManager | ( | const EPUBFontManager & |  | ) |
| private

## ◆ EPUBFontManager() [2/2]

libepubgen::EPUBFontManager::EPUBFontManager | ( | EPUBManifest & | manifest | ) |
| explicit

## Member Function Documentation

## ◆ extractFontProperties()

void libepubgen::EPUBFontManager::extractFontProperties | ( | librevenge::RVNGPropertyList const & | pList,
|  | EPUBCSSProperties & | cssProps
| ) |  | const
| private

convert a property list into a CSS property map

Referenced by insert().

## ◆ insert()

void libepubgen::EPUBFontManager::insert | ( | const librevenge::RVNGPropertyList & | propertyList,
|  | const EPUBPath & | path
| ) |  |

## ◆ operator=()

EPUBFontManager & libepubgen::EPUBFontManager::operator= | ( | const EPUBFontManager & |  | ) |
| private

## ◆ send()

void libepubgen::EPUBFontManager::send | ( | EPUBCSSContent & | out | ) |

send the data to the sink

Referenced by libepubgen::EPUBGenerator::writeStylesheet().

## ◆ writeTo()

void libepubgen::EPUBFontManager::writeTo | ( | EPUBPackage & | package | ) |

Referenced by libepubgen::EPUBGenerator::endDocument().

## Member Data Documentation

## ◆ m_manifest

EPUBManifest& libepubgen::EPUBFontManager::m_manifest
| private

Referenced by insert().

## ◆ m_map

MapType_t libepubgen::EPUBFontManager::m_map
| private

Font filename -> content map.

Referenced by insert(), and writeTo().

## ◆ m_number

EPUBCounter libepubgen::EPUBFontManager::m_number
| private

Referenced by insert().

## ◆ m_set

SetType_t libepubgen::EPUBFontManager::m_set
| private

Set of font properties.

Referenced by insert(), and send().

The documentation for this class was generated from the following files:

- EPUBFontManager.h
- EPUBFontManager.cpp